Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui.view
Class ViewRect

    java.lang.Object
      org.basex.gui.view.ViewRect

    public class ViewRect

extends Object

View rectangle.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`int` | `h` Height.
`int` | `level` Level.
`int` | `pre` Rectangle pre value.
`int` | `w` Width.
`int` | `x` X position.
`int` | `y` Y position.

Constructor Summary
`ViewRect()` Default constructor.
`ViewRect(int xx, int yy, int ww, int hh)` Simple rectangle constructor.

Method Summary
`boolean` | `contains(int xx, int yy)` Verifies if the specified coordinates are inside the rectangle.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  X position.

### y

    public int y

  Y position.

### w

    public int w

  Width.

### h

    public int h

  Height.

### pre

    public int pre

  Rectangle pre value.

### level

    public int level

  Level.

Constructor Detail

### ViewRect

    public ViewRect()

  Default constructor.

### ViewRect

    public ViewRect(int xx,
                    int yy,
                    int ww,
                    int hh)

  Simple rectangle constructor.

  Parameters:
    `xx` - x position
    `yy` - y position
    `ww` - width
    `hh` - height

Method Detail

### contains

    public final boolean contains(int xx,
                                  int yy)

  Verifies if the specified coordinates are inside the rectangle.

  Parameters:
    `xx` - x position
    `yy` - y position
  Returns:
    result of comparison

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD